Subject: Re: [take19 1/4] kevent: Core files.

From: Evgeniy Polyakov <[email-masked]>
Date: Wed, 18 Oct 2006 08:10:14 +0400

On Tue, Oct 17, 2006 at 06:45:54PM +0200, Eric Dumazet ([email-masked]) wrote:
> On Tuesday 17 October 2006 18:35, Evgeniy Polyakov wrote:
> > On Tue, Oct 17, 2006 at 06:26:04PM +0200, Eric Dumazet ([email-masked]) 
> wrote:
> > > On Tuesday 17 October 2006 18:01, Evgeniy Polyakov wrote:
> > > > Ok, there is one apologist for mmap buffer implementation, who forced
> > > > me to create first implementation, which was dropped due to absense of
> > > > remote mental reading abilities.
> > > > Ulrich, does above approach sound good for you?
> > > > I actually do not want to reimplement something, that will be
> > > > pointed to with words 'no matter what you say, it is broken and I do
> > > > not want it' again :).
> > >
> > > In my humble opinion, you should first write a 'real application', to
> > > show how the mmap buffer and kevent syscalls would be used (fast path and
> > > slow/recovery paths). I am sure it would be easier for everybody to agree
> > > on the API *before* you start coding a *lot* of hard (kernel) stuff : It
> > > would certainly save your mental CPU cycles (and ours too :) )
> > >
> > > This 'real application' could be  the event loop of a simple HTTP server,
> > > or a basic 'echo all' server. Adding the bits about timers events and
> > > signals should be done too.
> >
> > I wrote one with previous ring buffer implementation - it used timers
> > and echoed when they fired, it was even described in details in one of the
> > lwn.net articles.
> >
> > I'm not going to waste others and my time implementing feature requests
> > without at least _some_ feedback from those who asked them.
> > In case when person, originally requested some feature, does not answer
> > and there are other opinions, only they will be get into account of
> > course.
> 
> I am not sure I understand what you wrote, English is not our native language.
> 
> I think many people gave you feedbacks. I feel that all feedback on this 
> mailing list is constructive. Many posts/patches on this list are never 
> commented at all.

And I do greatly appreciate feedback from those people!

But I do not understand why I never got feedback on initial design and
implementation (and then created as far as I recall at least 10
releases) from Ulrich, who first asked for such a feture. 
So right now I'm waiting for his opinion on that problem, even if it will 
be 'it sucks' again, but at least in that case I will not waste people's time.

Ulrich, could you please comment on design notes sent couple of mail
above?

> Eric

-- 
	Evgeniy Polyakov